Page MenuHomePhabricator

Remove dropdown for other cite options from the toolbar. Options will be accessible from the auto-cite tool
Closed, ResolvedPublic1 Story Points

Description

Based on workflow in original task T62768

In usability testing, users are confused by the auto-cite and separate dropdown. Some find the dropdown first and never find the auto-cite tool.
"I find it confusing that clicking the cite icon does one action, and clicking the drop-down arrow next to the cite icon does a different action. This is inconsistent with the other icons and drop-down arrows in the toolbar."

Design

Prototype
http://invis.io/8A2SLZ2YV

There will be one access point to citations in the toolbar. Users can access other options from the bottom of the auto-cite tool. "Manual Citation Form" will take a user to choose from Website, Book etc. and "Re-use a citation" will take them to the reuse interface.

Event Timeline

KHammerstein updated the task description. (Show Details)
KHammerstein raised the priority of this task from to Needs Triage.
KHammerstein added a subscriber: KHammerstein.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 23 2015, 12:57 AM
KHammerstein set Security to None.
Nnemo added a subscriber: Nnemo.Apr 24 2015, 1:58 PM
Nnemo added a comment.Apr 24 2015, 2:21 PM

It seems to me that this design misses a "free text" choice.
We can design as many boxes as we want, there are always cases that do not enter in any box.
Hence the need for free text.
For instance, with this design, I don't find any way to cite a documentary film.
So I want to be able to write in free text :
"The life of penguins on Mars", documentary film, at 43 min.
The user may also want to cite an ad, a press release...
Thank you.

That exists as "Cite" → "Manual citation form" → "Basic form". (The same option exists in current design as "Cite" → "Basic".) I wonder if it should be called "Other" instead?

Change 206485 had a related patch set uploaded (by Jforrester):
Don't show the individual citation templates in the cite menu

https://gerrit.wikimedia.org/r/206485

That exists as "Cite" → "Manual citation form" → "Basic form". (The same option exists in current design as "Cite" → "Basic".)

Thank you. "Basic form" may not be meaningful enough. What about changing it into "Basic citation form" ?

Change 206485 abandoned by Jforrester:
Don't show the individual citation templates in the cite menu

Reason:
We've decided instead to not do this, but do a wider re-design.

https://gerrit.wikimedia.org/r/206485

Jdforrester-WMF triaged this task as Normal priority.May 6 2015, 9:48 PM
Jdforrester-WMF edited a custom field.
Jdforrester-WMF closed this task as Resolved.May 8 2015, 4:16 PM
Jdforrester-WMF assigned this task to Esanders.
Jdforrester-WMF moved this task from Blocked to Q4 on the VisualEditor board.Jun 17 2015, 11:30 PM